NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SectionCurveBuilder Class Reference

Represents a NXOpen.Features.SectionCurve builder. More...

Inheritance diagram for NXOpen.Features.SectionCurveBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  PlaneType { Selected, Parallel, Radial, PerpendicularToCurve }
 Represents section plane type. More...
 
enum  SpacingType {
  EqualArcLength, EqualParameterSpacing, GeometricProgressionSpacing, ChordalToleranceSpacing,
  IncrementalArclengthSpacing
}
 Represents spacing type. More...
 

Public Member Functions

unsafe NXOpen.Group[] GetOutputGroups ()
 Gets the output groups for non-associated output curve More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool Associative [get, set]
 Returns or sets the associativity More...
 
unsafe NXOpen.ISurface BasePlane [get, set]
 Returns or sets the base plane More...
 
unsafe double ChordalTolerance [get, set]
 Returns or sets the chordal tolerance More...
 
unsafe
NXOpen.GeometricUtilities.CurveFitData 
CurveFitData [get]
 Returns the curve fit settings More...
 
unsafe
NXOpen.GeometricUtilities.CurveFitJoin 
CurveFitJoinOptions [get]
 Returns the curve fit join option More...
 
unsafe NXOpen.SelectObject CurveForPerpendicularPlane [get]
 Returns the curve for perpendicular to curve type More...
 
unsafe double EndAngle [get, set]
 Returns or sets the end angle More...
 
unsafe double EndDistance [get, set]
 Returns or sets the the end distance More...
 
unsafe double EndPercentage [get, set]
 Returns or sets the end percentage. More...
 
unsafe bool GroupObjects [get, set]
 Returns or sets the grouping More...
 
unsafe double Increment [get, set]
 Returns or sets the increment More...
 
unsafe int NumberOfCopies [get, set]
 Returns or sets the number of copies More...
 
unsafe NXOpen.SelectObjectList ObjectsToSection [get]
 Returns the selected objects More...
 
unsafe bool OutputPoints [get, set]
 Returns or sets the output points More...
 
unsafe NXOpen.Point RadialPlanePoint [get, set]
 Returns or sets the point for radial plane type More...
 
unsafe NXOpen.Direction RadialPlaneVector [get, set]
 Returns or sets the vector for radial plane type More...
 
unsafe double Ratio [get, set]
 Returns or sets the ratio More...
 
unsafe double SampleDistance [get, set]
 Returns or sets the sample distance More...
 
unsafe NXOpen.Plane SectionPlane [get, set]
 Returns or sets the plane More...
 
unsafe NXOpen.SelectObjectList SectionPlanes [get]
 Returns the selected planes More...
 
unsafe
NXOpen.Features.SectionCurveBuilder.SpacingType 
SpacingAlongCurveType [get, set]
 Returns or sets the type of spacing More...
 
unsafe double StartAngle [get, set]
 Returns or sets the start angle More...
 
unsafe double StartDistance [get, set]
 Returns or sets the the start distance More...
 
unsafe double StartPercentage [get, set]
 Returns or sets the start percentage. More...
 
unsafe double StepAngle [get, set]
 Returns or sets the step angle More...
 
unsafe double StepDistance [get, set]
 Returns or sets the step distance More...
 
unsafe double Tolerance [get, set]
 Returns or sets the tolerance More...
 
unsafe
NXOpen.Features.SectionCurveBuilder.PlaneType 
Type [get, set]
 Returns or sets the type of the section curve builder More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.SectionCurve builder.

Inputs to this class can be convergent objects.

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateSectionCurveBuilder

Default values.

Property Value

Associative

True

CurveFitData.CurveJoinMethod

No

CurveFitData.Degree

7

CurveFitData.FitMethod

DegreeAndSegments

CurveFitData.IsAdvancedFit

0

CurveFitData.IsAlignShape

0

CurveFitData.MaximumDegree

7

CurveFitData.MaximumSegments

1

CurveFitData.MinimumDegree

5

CurveFitData.Segments

1

CurveFitJoinOptions.CurveFitOptions.FitOption

Cubic

CurveFitJoinOptions.CurveFitOptions.MaximumDegree

7

CurveFitJoinOptions.CurveFitOptions.MaximumSegments

1

EndAngle

20.0

EndDistance

10.0 (millimeters part), 0.5 (inches part)

EndPercentage

100.0

GroupObjects

False

Increment

5.0 (millimeters part), 0.25 (inches part)

NumberOfCopies

2

OutputPoints

False

Ratio

1.0

SampleDistance

1.0 (millimeters part), 0.04 (inches part)

SpacingAlongCurveType

EqualArcLength

StartAngle

0.0

StartDistance

0.0 (millimeters part), 0.0 (inches part)

StartPercentage

0.0

StepAngle

10.0

StepDistance

5.0 (millimeters part), 0.25 (inches part)

Type

Selected

Created in NX5.0.0

Member Enumeration Documentation

Represents section plane type.

Enumerator
Selected 

Planes are selected (not specified by one of the following methods)

Parallel 

Set of planes parallel to a base plane

Radial 

Set of planes radiating from a base plane

PerpendicularToCurve 

Set of planes perpendicular to a curve

Represents spacing type.

Enumerator
EqualArcLength 

Equal arclength spacing

EqualParameterSpacing 

Equal parameter spacing

GeometricProgressionSpacing 

Geometric progression spacing

ChordalToleranceSpacing 

Chordal tolerance spacing

IncrementalArclengthSpacing 

Incremental arclength spacing

Member Function Documentation

unsafe NXOpen.Group [] NXOpen.Features.SectionCurveBuilder.GetOutputGroups ( )
inline

Gets the output groups for non-associated output curve

Created in NX8.0.0

License requirements: None.

Returns

Property Documentation

unsafe bool NXOpen.Features.SectionCurveBuilder.Associative
getset

Returns or sets the associativity

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ISurface NXOpen.Features.SectionCurveBuilder.BasePlane
getset

Returns or sets the base plane

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.SectionCurveBuilder.ChordalTolerance
getset

Returns or sets the chordal tolerance

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.CurveFitData NXOpen.Features.SectionCurveBuilder.CurveFitData
get

Returns the curve fit settings

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.CurveFitJoin NXOpen.Features.SectionCurveBuilder.CurveFitJoinOptions
get

Returns the curve fit join option

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.SelectObject NXOpen.Features.SectionCurveBuilder.CurveForPerpendicularPlane
get

Returns the curve for perpendicular to curve type

Created in NX5.0.0

License requirements: None.

unsafe double NXOpen.Features.SectionCurveBuilder.EndAngle
getset

Returns or sets the end angle

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.SectionCurveBuilder.EndDistance
getset

Returns or sets the the end distance

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.SectionCurveBuilder.EndPercentage
getset

Returns or sets the end percentage.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.SectionCurveBuilder.GroupObjects
getset

Returns or sets the grouping

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.SectionCurveBuilder.Increment
getset

Returns or sets the increment

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe int NXOpen.Features.SectionCurveBuilder.NumberOfCopies
getset

Returns or sets the number of copies

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.SelectObjectList NXOpen.Features.SectionCurveBuilder.ObjectsToSection
get

Returns the selected objects

Created in NX5.0.0

License requirements: None.

unsafe bool NXOpen.Features.SectionCurveBuilder.OutputPoints
getset

Returns or sets the output points

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point NXOpen.Features.SectionCurveBuilder.RadialPlanePoint
getset

Returns or sets the point for radial plane type

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Direction NXOpen.Features.SectionCurveBuilder.RadialPlaneVector
getset

Returns or sets the vector for radial plane type

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.SectionCurveBuilder.Ratio
getset

Returns or sets the ratio

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.SectionCurveBuilder.SampleDistance
getset

Returns or sets the sample distance

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Plane NXOpen.Features.SectionCurveBuilder.SectionPlane
getset

Returns or sets the plane

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.SelectObjectList NXOpen.Features.SectionCurveBuilder.SectionPlanes
get

Returns the selected planes

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Features.SectionCurveBuilder.SpacingType NXOpen.Features.SectionCurveBuilder.SpacingAlongCurveType
getset

Returns or sets the type of spacing

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.SectionCurveBuilder.StartAngle
getset

Returns or sets the start angle

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.SectionCurveBuilder.StartDistance
getset

Returns or sets the the start distance

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.SectionCurveBuilder.StartPercentage
getset

Returns or sets the start percentage.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.SectionCurveBuilder.StepAngle
getset

Returns or sets the step angle

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.SectionCurveBuilder.StepDistance
getset

Returns or sets the step distance

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.SectionCurveBuilder.Tolerance
getset

Returns or sets the tolerance

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.SectionCurveBuilder.PlaneType NXOpen.Features.SectionCurveBuilder.Type
getset

Returns or sets the type of the section curve builder

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.